Bug 928095

Summary: SELinux is preventing /usr/sbin/mount.ecryptfs_private from 'write' accesses on the key .
Product: [Fedora] Fedora Reporter: Yajo <yajo.sk8>
Component: selinux-policyAssignee: Miroslav Grepl <mgrepl>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: dominick.grift, dwalsh, mgrepl
Target Milestone: ---   
Target Release: ---   
Hardware: x86_64   
OS: Unspecified   
Whiteboard: abrt_hash:5e8ed7a2c04911ecb80f4f6df21cb4b2e3aacb2266e0f8d5fde4a5c771b77b69
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-04-18 02:50:11 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Yajo 2013-03-26 21:22:35 UTC
Description of problem:
Switch to tty1 (GNOME) after some work in tty2 (terminal).
SELinux is preventing /usr/sbin/mount.ecryptfs_private from 'write' accesses on the key .

*****  Plugin catchall (100. confidence) suggests  ***************************

If cree que de manera predeterminada, mount.ecryptfs_private debería permitir acceso write sobre   key.     
Then debería reportar esto como un error.
Puede generar un módulo de política local para permitir este acceso.
Do
permita el acceso momentáneamente executando:
# grep umount.ecryptfs /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:mount_t:s0-s0:c0.c1023
Target Context                unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1
                              023
Target Objects                 [ key ]
Source                        umount.ecryptfs
Source Path                   /usr/sbin/mount.ecryptfs_private
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           ecryptfs-utils-103-1.fc18.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.11.1-86.fc18.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.8.3-203.fc18.x86_64 #1 SMP Mon
                              Mar 18 12:59:28 UTC 2013 x86_64 x86_64
Alert Count                   3
First Seen                    2013-03-24 22:47:19 CET
Last Seen                     2013-03-26 22:19:25 CET
Local ID                      88ce90aa-a8af-4aa6-9d71-f867c72393eb

Raw Audit Messages
type=AVC msg=audit(1364332765.924:1187): avc:  denied  { write } for  pid=25683 comm="umount.ecryptfs" scontext=system_u:system_r:mount_t:s0-s0:c0.c1023 tcontext=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 tclass=key


type=SYSCALL msg=audit(1364332765.924:1187): arch=x86_64 syscall=keyctl success=no exit=EACCES a0=9 a1=329608bb a2=fffffffc a3=31aeaeebd9 items=0 ppid=9130 pid=25683 auid=1000 uid=1000 gid=1000 euid=1000 suid=0 fsuid=1000 egid=1000 sgid=1000 fsgid=1000 ses=19 tty=(none) comm=umount.ecryptfs exe=/usr/sbin/mount.ecryptfs_private subj=system_u:system_r:mount_t:s0-s0:c0.c1023 key=(null)

Hash: umount.ecryptfs,mount_t,unconfined_t,key,write

audit2allow

#============= mount_t ==============
allow mount_t unconfined_t:key write;

audit2allow -R
require {
	type unconfined_t;
	type mount_t;
	class key write;
}

#============= mount_t ==============
allow mount_t unconfined_t:key write;


Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.3-203.fc18.x86_64
type:           libreport

Potential duplicate: bug 859143

Comment 1 Miroslav Grepl 2013-03-27 13:16:50 UTC
Fixed in selinux-policy-3.11.1-88.fc18.noarch

Comment 2 Yajo 2013-03-29 20:08:50 UTC
Description of problem:
Log back from tty2 into tty1 GNOME.

Additional info:
hashmarkername: setroubleshoot
kernel:         3.8.3-203.fc18.x86_64
type:           libreport

Comment 3 Fedora Update System 2013-04-15 11:10:44 UTC
selinux-policy-3.11.1-90.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/selinux-policy-3.11.1-90.fc18

Comment 4 Fedora Update System 2013-04-16 00:06:09 UTC
Package selinux-policy-3.11.1-90.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.11.1-90.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-5742/selinux-policy-3.11.1-90.fc18
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2013-04-18 02:50:13 UTC
selinux-policy-3.11.1-90.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.